Package org.jbpm.process.audit.query

## Class NodeInstanceLogDeleteBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl<T>
    - - org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>
      - - org.jbpm.process.audit.query.NodeInstanceLogDeleteBuilderImpl

- All Implemented Interfaces:
    `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`, `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

      public class NodeInstanceLogDeleteBuilderImpl
      extends AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>
      implements org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `AbstractAuditDeleteBuilderImpl.Subquery`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `deploymentId, executor, jpaAuditService, recordsPerTransaction, statuses`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryWhere`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeInstanceLogDeleteBuilderImpl​(JPAAuditLogService jpaService)` |
    `NodeInstanceLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `externalId​(String... externalId)` |
    `protected String` | `getQueryTable()` |
    `protected Class` | `getQueryType()` |
    `protected boolean` | `isSubquerySupported()` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeId​(String... nodeId)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeInstanceId​(String... nodeInstanceId)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `nodeName​(String... name)` |
    `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder` | `workItemId​(long... workItemId)` |

    - ### Methods inherited from class org.jbpm.process.audit.query.AbstractAuditDeleteBuilderImpl

      `applyParameters, build, checkIfNull, date, dateRangeEnd, dateRangeStart, ensureDateNotTimestamp, getJpaAuditLogService, getSubQuery, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractDeleteBuilderImpl

      `endGroup, newGroup`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, addRangeParameters, and, clear, equals, getQueryWhere, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDateDeleteBuilder

      `date, dateRangeEnd, dateRangeStart`

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Constructor Detail

    - #### NodeInstanceLogDeleteBuilderImpl

          public NodeInstanceLogDeleteBuilderImpl​(JPAAuditLogService jpaService)

    - #### NodeInstanceLogDeleteBuilderImpl

          public NodeInstanceLogDeleteBuilderImpl​(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### workItemId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder workItemId​(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

    - #### nodeInstanceId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeInstanceId​(String... nodeInstanceId)

      Specified by:
        `nodeInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

    - #### nodeId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeId​(String... nodeId)

      Specified by:
        `nodeId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

    - #### nodeName

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder nodeName​(String... name)

      Specified by:
        `nodeName` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

    - #### externalId

          public org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder externalId​(String... externalId)

      Specified by:
        `externalId` in interface `org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder`

    - #### isSubquerySupported

          protected boolean isSubquerySupported()

      Overrides:
        `isSubquerySupported` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

    - #### getQueryType

          protected Class getQueryType()

      Specified by:
        `getQueryType` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`

    - #### getQueryTable

          protected String getQueryTable()

      Specified by:
        `getQueryTable` in class `AbstractAuditDeleteBuilderImpl<org.kie.internal.runtime.manager.audit.query.NodeInstanceLogDeleteBuilder>`